Yii2高级应用模板初始化安装(归档文件)

安装前的准备:

  环境配置:Yii2 需要 PHP 5.4.0 版本以上;

  本地测试环境:Wampserver3.0.6_x64(Windows7-x64, Apache-2.4.23, PHP-5.6.25, MySQL-5.7.14)。

1、下载归档文件(点击这里),以“高级应用程序模板”为本次安装的案例。

2、解压,将压缩包里的文件解压到 Web 根目录。

3、将 php 程序根目录(php.exe所在的目录)添加进系统 path 环境变量:

Window系统环境变量

4、双击运行init.bat ,选择开发环境(Development:开发环境;Production:生产环境),如下图:

初始化开发环境

5、新建数据库,并修改数据库配置\common\config\main-local.php

return [
    'components' => [
        'db' => [
            'class' => 'yii\db\Connection',
            'dsn' => 'mysql:host=localhost;dbname=yii2advanced',
            'username' => 'root',   // 用户名
            'password' => '',       // 密码
            'charset' => 'utf8',    // 字符集
            'tablePrefix' => '',    // 表前缀
        ],
    ],
];

6、执行yii.bat migrate,创建基本数据表结构,如下图:

创建基本数据表结构

7、到这里,就已经初步安装成功了,打开浏览器,测试下:

  前台:http://localhost/frontend/web/

  后台:http://localhost/backend/web/

安装成功